package mx.com.amx.mx.dda.crn.utils;


import org.apache.log4j.Logger;


public class StringManager 
{
	private final Logger LOG = Logger.getLogger(this.getClass().getSimpleName());
	
	public StringManager()
	{
		super();
	}
	

	public String extraerPrimerosCaracteres(String pstCadena, int pnuCuantos) throws Exception
	{
		String resultado = "";
		
		try
		{
			resultado = pstCadena.substring(0, Math.min(pstCadena.length(), pnuCuantos));
			
		}
		catch(Exception e)
		{
			LOG.info("Ocurrio un error al extraer los "+pnuCuantos+" primeros caracteres.");
			LOG.error("Exception["+this.getClass().getSimpleName()+"::extraerPrimerosCaracteres]: "+ e.getMessage() );
			throw new Exception(e.getMessage());
		}
		
		return resultado;
		
	}
	
	
}
